Bug 489117 - Review Request: tulrich-tuffy-fonts - Generic sans font
Review Request: tulrich-tuffy-fonts - Generic sans font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477447
  Show dependency treegraph
 
Reported: 2009-03-07 15:05 EST by Felix Schwarz
Modified: 2009-04-08 03:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 03:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2009-03-07 15:05:40 EST
Spec URL: http://www.felix-schwarz.name/files/misc/2009/tgcaptcha/review/tulrich-tuffy-fonts.spec
SRPM URL: http://www.felix-schwarz.name/files/misc/2009/tgcaptcha/review/tulrich-tuffy-fonts-1.1-2.fc11.src.rpm

Description: Tuffy is an innocuous looking sans font.

--
This package was created to comply to Fedora's new font packaging guidelines and ships a font that is necessary for python-tgcaptcha (see bug 477447). The initial RPM was created by Toshio Kuratomi.
Comment 1 Nicolas Mailhot 2009-03-15 14:45:28 EDT
The package seems pretty nice and clean. However:

1. your fontconfig file references the "sans" generic but fontconfig people seem to prefer "sans-serif"

2. please update the associated wiki page
http://fedoraproject.org/wiki/Category:Font_wishlist

as demanded by our font packaging workflow
http://fedoraproject.org/wiki/Font_package_lifecycle
Comment 2 Felix Schwarz 2009-03-16 17:48:48 EDT
I updated the existing wiki page: https://fedoraproject.org/wiki/Tuffy_fonts (is this level of detail ok with you? - I am still new to font packaging)

I can update the package in a few days (currently I'm swamped).
Comment 3 Nicolas Mailhot 2009-03-21 08:11:04 EDT
(In reply to comment #2)
> I updated the existing wiki page: https://fedoraproject.org/wiki/Tuffy_fonts
> (is this level of detail ok with you? - I am still new to font packaging)

This is good enough (someday we'll figure how to create pretty font previews)
Comment 4 Toshio Ernie Kuratomi 2009-03-31 20:49:40 EDT
Hey Felix and Nicolas, I have a bit of time for the next week or two to push this forward if it's okay with you.

Spec URL:
http://toshio.fedorapeople.org/packages/tulrich-tuffy-fonts.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/tulrich-tuffy-fonts-1.1-3.fc11.src.rpm

* Tue Mar 31 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1-3
- Change fontconfig file to use "sans-serif" generic.
Comment 5 Nicolas Mailhot 2009-04-01 16:38:29 EDT
This one is good. Please do register as co-maintainers for this package :p

ⵀⵀⵀ APPROVED ⵀⵀⵀ

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Thank you for packaging one of the oldest font packaging requests in Fedora
Comment 6 Toshio Ernie Kuratomi 2009-04-01 17:49:04 EDT
Thanks Nicolas and Felix!

New Package CVS Request
=======================
Package Name: tulrich-tuffy-fonts
Short Description: Generic sans font
Owners: toshio fschwarz
Branches: devel
InitialCC: fonts-sig
Comment 7 Kevin Fenzi 2009-04-03 16:37:59 EDT
cvs done.
Comment 8 Felix Schwarz 2009-04-08 03:04:20 EDT
Package built successfully: http://koji.fedoraproject.org/koji/buildinfo?buildID=97005

Note You need to log in before you can comment on or make changes to this bug.